Debian Bug report logs - #698153
lvm2: LVM - kernel 3.6.11 - leaked on lvcreate invocation

version graph

Package: lvm2; Maintainer for lvm2 is Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>; Source for lvm2 is src:lvm2.

Reported by: petr.nosek@gmail.com, "petr.nosek@gmail.com" <petr.nosek@gmail.com>

Date: Mon, 14 Jan 2013 14:27:01 UTC

Severity: important

Tags: patch

Found in version lvm2/2.02.95-4

Fixed in version 2.02.104-1

Done: peter green <plugwash@p10link.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#698153; Package lvm2. (Mon, 14 Jan 2013 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to petr.nosek@gmail.com, "petr.nosek@gmail.com" <petr.nosek@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 14:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Nosek <petr.nosek@gmail.com>
To: submit@bugs.debian.org
Subject: lvm2: LVM - kernel 3.6.11 - leaked on lvcreate invocation
Date: Mon, 14 Jan 2013 15:22:26 +0100
Package: lvm2
Version: 2.02.95-4
Severity: important

distro: Raspbian

There is problem with LVM. The latest version works:
root@raspberrypi:/# uname -a
Linux raspberrypi 3.2.27+ #260 PREEMPT Thu Nov 8 00:34:12 GMT 2012 armv6l
GNU/Linux

now I use this version:
root@raspberrypi:/var/log# uname -a
Linux raspberrypi 3.6.11+ #348 PREEMPT Tue Jan 1 16:33:22 GMT 2013 armv6l
GNU/Linux

After reboot - these errors:

setting up lvm volume groups
mlock failed cannot allocate memory
munlock failed

After lvcreate:
root@raspberrypi:# lvcreate -L 1G -n test vg2t
File descriptor 8 (pipe:[15832]) leaked on lvcreate invocation. Parent PID
3635: bash
ffff0000-ffff1000 r-xp 00000000 00:00 0 [vectors]: mlock failed: Cannot
allocate memory
ffff0000-ffff1000 r-xp 00000000 00:00 0 [vectors]: munlock failed: Cannot
allocate memory
Logical volume "test" created

some problems are described here: 
http://readlist.com/lists/redhat.com/linux-
lvm/1/6244.html

How to reproduce: connect usb disk with lvm and turn of raspberry pi. 
Error is
visible when booting system. There is photo of my screen:
https://github.com/raspberrypi/linux/issues/185

Setting up LVM Volume Groups ... mlock failed: Cannot allocate memory


I'm affraid of data loosing, but i loks like, that disk is readable and
writable.

Somebody told me: try to reproduce this with a debian armel and if it's
reproducable, there report it to them. But i don't know how to try it. I 
think,
that somebody has experience with this bug. Maybe - there is missing 
some patch
in raspbian kernel or lvm2.

Can you help?





-- System Information:
Debian Release: 7.0
Architecture: armhf (armv6l)

Kernel: Linux 3.6.11+ (PREEMPT)
Locale: LANG=cs_CZ.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lvm2 depends on:
ii  dmsetup                   2:1.02.74-4
ii  initscripts               2.88dsf-34
ii  libc6                     2.13-37+rpi1
ii  libdevmapper-event1.02.1  2:1.02.74-4
ii  libdevmapper1.02.1        2:1.02.74-4
ii  libgcc1                   1:4.7.2-4+rpi1
ii  libreadline5              5.2+dfsg-1
ii  libudev0                  175-7
ii  lsb-base                  4.1+Debian8

lvm2 recommends no packages.

lvm2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#698153; Package lvm2. (Mon, 14 Jan 2013 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alasdair G Kergon <agk@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Mon, 14 Jan 2013 14:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 698153@bugs.debian.org (full text, mbox):

From: Alasdair G Kergon <agk@redhat.com>
To: petr.nosek@gmail.com
Cc: 698153@bugs.debian.org
Subject: Re: Bug#698153: lvm2: LVM - kernel 3.6.11 - leaked on lvcreate invocation
Date: Mon, 14 Jan 2013 14:36:29 +0000
On Mon, Jan 14, 2013 at 03:22:26PM +0100, Petr Nosek wrote:
> Package: lvm2
> Version: 2.02.95-4

> setting up lvm volume groups
> mlock failed cannot allocate memory
> munlock failed

If you don't have this patch installed, try it:
  https://lists.fedorahosted.org/pipermail/lvm2-commits/2012-November/000391.html

Alasdair




Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#698153; Package lvm2. (Sat, 23 Feb 2013 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Nosek <petr.nosek@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Sat, 23 Feb 2013 20:15:06 GMT) Full text and rfc822 format available.

Message #15 received at 698153@bugs.debian.org (full text, mbox):

From: Petr Nosek <petr.nosek@gmail.com>
To: 698153@bugs.debian.org
Subject: Re: Re: Bug#698153: lvm2: LVM - kernel 3.6.11 - leaked on lvcreate invocation
Date: Sat, 23 Feb 2013 21:12:38 +0100
[Message part 1 (text/plain, inline)]
thank you. Your patch is solution of my problem.

The thread can be closed.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#698153; Package lvm2. (Sun, 24 Feb 2013 23:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Sun, 24 Feb 2013 23:36:02 GMT) Full text and rfc822 format available.

Message #20 received at 698153@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 698153@bugs.debian.org
Cc: control@bugs.debian.org
Subject: lvm2: LVM - kernel 3.6.11 - leaked on lvcreate invocation
Date: Sun, 24 Feb 2013 23:33:17 +0000
[Message part 1 (text/plain, inline)]
tags 698153 +patch
thanks

After discussions in https://bugs.launchpad.net/raspbian/+bug/1096224 I 
just applied a fix for this in raspbian. A filtered debdiff* is attatched.

* I accidently refreshed an unrelated patch while working on the fix 
which created some noise in the debdiff.
[lvm2.debdiff.filtered (text/plain, attachment)]

Added tag(s) patch. Request was from peter green <plugwash@p10link.net> to control@bugs.debian.org. (Sun, 24 Feb 2013 23:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#698153; Package lvm2. (Mon, 25 Feb 2013 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Mon, 25 Feb 2013 08:39:03 GMT) Full text and rfc822 format available.

Message #27 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: petr.nosek@gmail.com, 698153@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#698153: lvm2: LVM - kernel 3.6.11 - leaked on lvcreate invocation
Date: Mon, 25 Feb 2013 09:37:18 +0100
On Mon, Jan 14, 2013 at 03:22:26PM +0100, Petr Nosek wrote:
> Package: lvm2
> Version: 2.02.95-4
> Severity: important

> distro: Raspbian
> There is problem with LVM. The latest version works:
> root@raspberrypi:/# uname -a
> Linux raspberrypi 3.2.27+ #260 PREEMPT Thu Nov 8 00:34:12 GMT 2012 armv6l
> GNU/Linux
> now I use this version:
> root@raspberrypi:/var/log# uname -a
> Linux raspberrypi 3.6.11+ #348 PREEMPT Tue Jan 1 16:33:22 GMT 2013 armv6l
> GNU/Linux
> After reboot - these errors:
> setting up lvm volume groups
> mlock failed cannot allocate memory
> munlock failed

Please show that this is broken on a Debian architecture using a Debian
provided kernel. Otherwise this will be fixed with a new version after
the release of Wheezy.

Bastian

-- 
The best diplomat I know is a fully activated phaser bank.
		-- Scotty



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#698153; Package lvm2. (Mon, 25 Feb 2013 08:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Mon, 25 Feb 2013 08:39:05 GMT) Full text and rfc822 format available.

Reply sent to peter green <plugwash@p10link.net>:
You have taken responsibility. (Thu, 06 Feb 2014 05:48:05 GMT) Full text and rfc822 format available.

Notification sent to petr.nosek@gmail.com, "petr.nosek@gmail.com" <petr.nosek@gmail.com>:
Bug acknowledged by developer. (Thu, 06 Feb 2014 05:48:05 GMT) Full text and rfc822 format available.

Message #37 received at 698153-done@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 698153-done@bugs.debian.org
Subject: Re: Bug#698153: lvm2: LVM - kernel 3.6.11 - leaked on lvcreate invocation
Date: Thu, 06 Feb 2014 05:44:00 +0000
Version: 2.02.104-1

The fix I applied for this in raspbian (and that was accepted as fixing 
the problem by the original reporter) is now in the debian package. 
Therefore I am closing this bug.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 Mar 2014 07:37:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:18:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.